package com.app.expandablelist;

import android.annotation.SuppressLint;
import android.os.StrictMode;

import java.sql.Connection;

import android.util.Log;

import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;

public class SQLConnection {

    @SuppressLint("NewApi")
    public Connection CONN() {

        String _user = "sa";
        String _pass = "789";
        String _DB = "ParallelCodes";
        String _server = "192.168.0.104";
        StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder()
                .permitAll().build();
        StrictMode.setThreadPolicy(policy);
        Connection conn = null;
        String ConnURL = null;
        try {
            Class.forName("net.sourceforge.jtds.jdbc.Driver");
            ConnURL = "jdbc:jtds:sqlserver://" + _server + ";"
                    + "databaseName=" + _DB + ";user=" + _user + ";password="
                    + _pass + ";";
            conn = DriverManager.getConnection(ConnURL);
        } catch (SQLException se) {
            Log.e("ERRO", se.getMessage());
        } catch (ClassNotFoundException e) {
            Log.e("ERRO", e.getMessage());
        } catch (Exception e) {
            Log.e("ERRO", e.getMessage());
        }
        return conn;
    }

    public LinkedHashMap<String, List<String>> GetMovies() {

        ArrayList<MoviesInfo> movies = new ArrayList<MoviesInfo>();
        List<String> year = new ArrayList<String>();
        List<String> MovieData = new ArrayList<String>();
        LinkedHashMap<String, List<String>> listLinkedHashMap
                = new LinkedHashMap<String, List<String>>();
        try {
            Connection connect = CONN();
            PreparedStatement stmt = connect.prepareStatement("Select * from tblMovies order by ReleasedYear asc");
            ResultSet rs = stmt.executeQuery();

            while (rs.next()) {
                MoviesInfo info = new MoviesInfo();
                info.MovieName = rs.getString("Movie");
                info.ReleasedYear = rs.getString("ReleasedYear");
                movies.add(info);

                if (!year.contains(rs.getString("ReleasedYear")))
                    year.add(rs.getString("ReleasedYear"));
            }


            for (int i = 0; i < year.size(); i++) {
                MovieData = new ArrayList<String>();

                for (MoviesInfo m : movies) {

                    if (m.ReleasedYear.equals(year.get(i)))
                        MovieData.add(m.MovieName);
                }
                listLinkedHashMap.put(year.get(i).toString(), MovieData);
            }

            return listLinkedHashMap;
        } catch (Exception ex) {
            return null;
        }
    }

    public class MoviesInfo {

        public String MovieName;
        public String ReleasedYear;

        public MoviesInfo() {

        }
    }

}

